> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/fiscal-check.md).

# Получение фискального чека

<mark style="color:green;">`GET`</mark>`https://agwsapi.tarlanpayments.kz/fiscalization/api/v1/payment/fiscalization/order`&#x20;

### Headers

| Name         | Value                                                             |
| ------------ | ----------------------------------------------------------------- |
| Content-Type | `application/json`                                                |
| X-Signature  | [Авторизационный хэш](/platezhnyi-shlyuz/formirovanie-podpisi.md) |

### Query Params

<table><thead><tr><th width="267">Key</th><th>Description</th></tr></thead><tbody><tr><td>provider_order_id</td><td>Идентификатор платежа на стороне поставщика услуг</td></tr><tr><td>provider_code</td><td>Код поставщика услуг</td></tr><tr><td>provider_service_code</td><td>Код услуги поставщика услуг</td></tr></tbody></table>

### Response body parameters

<table><thead><tr><th width="196">Name</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td>status</td><td>boolean</td><td>Статус обработки запроса</td></tr><tr><td>status_code</td><td>uint</td><td>Код ошибки</td></tr><tr><td>message</td><td>string</td><td>Описание ошибки</td></tr><tr><td>result</td><td>object</td><td>Объект хранящий результат запроса</td></tr><tr><td>-fiscal_number</td><td>string</td><td>Фискальный признак чека</td></tr><tr><td>-fiscal_check_url</td><td>string</td><td>Ссылка для отображения фискального чека</td></tr></tbody></table>

{% tabs %}
{% tab title="200: OK Пример успешного ответа" %}
{% code overflow="wrap" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "fiscal_number": "123456789123",
        "fiscal_check_url": "https://link.kz"
    }
}
```

{% endcode %}
{% endtab %}

{% tab title="400: Bad Request Пример ответа с ошибкой" %}

```json
{
    "status": false,
    "status_code": 1014,
    "message": "Invalid signature",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

```bash
curl --location 'https://agwsapi.tarlanpayments.kz/fiscalization/api/v1/payment/fiscalization/order?provider_order_id=pr10010&provider_code=code&provider_service_code=service_code'
--header 'X-Signature: 3eec10e27f3b9ee198d2edfbf7ff7bce431940d88ed4201assadzxczxczxasd'
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/fiscal-check.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
